curl --request GET \
--url https://api.snappy.com/public-api/v2/accounts/{accountId} \
--header 'X-Api-Key: <api-key>'{
"id": "xyz12345",
"name": "Snappy",
"createdAt": "2022-12-06T09:50:38.536Z",
"updatedAt": "2022-12-06T09:50:38.536Z",
"companyId": "A1b2C3d4"
}Use this API to retrieve the details of a specific account.
accounts:readcurl --request GET \
--url https://api.snappy.com/public-api/v2/accounts/{accountId} \
--header 'X-Api-Key: <api-key>'{
"id": "xyz12345",
"name": "Snappy",
"createdAt": "2022-12-06T09:50:38.536Z",
"updatedAt": "2022-12-06T09:50:38.536Z",
"companyId": "A1b2C3d4"
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEYFor production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiSource of the request
api_native, api_zapier, api_salesforce, api_ftp, api_make "api_native"
The id of the account
^[A-Za-z0-9]+$"xyz12345"
Company ID
^[A-Za-z0-9]{8,}$"12345678"
Ok
Account details.
The id of the account.
"a12bcd34"
The name of the account.
"Snappy"
Date Format: YYYY-MM-DDThh:mm:ss.sZ.
"2022-12-06T09:50:38.536Z"
Date Format: YYYY-MM-DDThh:mm:ss.sZ.
"2022-12-06T09:50:38.536Z"
The id of the company.
"A1b2C3d4"
Was this page helpful?